# studio

![Version: dev](https://img.shields.io/badge/Version-dev-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: SERVICE-VERSION](https://img.shields.io/badge/AppVersion-SERVICE--VERSION-informational?style=flat-square)

The Ryax Studio manages the creation and edition of the workflows

**Homepage:** <https://ryax.tech>

## Source Code

* <https://gitlab.com/ryax-tech/ryax/ryax-studio>

## Values

### Ryax Settings

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| apiMaxUploadSizeInBytes | int | `1073741824` | Max upload size in Bytes for the API. Change this to enable larger file to be used as static or inputs, of project variables. Default to 1GB |

### Global

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| global.nodeSelector | string | `nil` | Add nodeSelector injected as-is (https://kubernetes.io/docs/concepts/scheduling-eviction/assign-pod-node/#nodeselector) Example:   myenv: prod |

### Other Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` | Add affinity injected as-is (https://kubernetes.io/docs/concepts/scheduling-eviction/assign-pod-node/#affinity-and-anti-affinity) |
| apiPort | int | `8080` |  |
| authorizationUrl | string | `"ryax-authorization:8080"` |  |
| brokerSecret | string | `"ryax-broker-secret"` |  |
| datastoreSecret | string | `"ryax-datastore-secret"` |  |
| extraEnv | object | `{}` | Add extra environment variables Example:   name: TEST   value: TOTO |
| filestoreName | string | `"ryax-filestore"` |  |
| filestoreSecret | string | `"ryax-filestore-secret"` |  |
| image | object | `{"name":"registry.ryax.org/release/studio","tag":"SERVICE-VERSION"}` | container image name and version |
| imagePullPolicy | string | `"IfNotPresent"` |  |
| jwtSecret | string | `"api-jwt-secret-key"` |  |
| logLevel | string | `"info"` | log level of the service |
| priorityClass | string | `"microservices"` |  |
| pullSecret | string | `nil` | pull secret like in pod template |
| resources | object | `{}` | resources for the pod Example:  requests:    memory: "200Mi"    cpu: "100m"  limits:    memory: "200Mi" |
| tls | object | `{"certSecret":"ryax-cert-development","enabled":true,"hostname":null}` | Enable TLS for the Runner API |
| tls.hostname | string | `nil` | cluster FQDN like "cluster.ryax.io" use to create a valid certificate |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.13.1](https://github.com/norwoodj/helm-docs/releases/v1.13.1)
